import 'package:flutter/material.dart';
import 'package:flutter_mylibrary/config/const.dart';
import 'package:flutter_mylibrary/flutter_mylibrary.dart';
import 'base_view_state_getx_controller.dart';
import 'package:get/get.dart';


class GetWidget<T extends BaseViewStateGetxController> extends StatefulWidget {

  final GetxViewStateModelWidgetBuilder builder;
  final T model;
  final Function(T model) onModelReady;
  final bool autoDispose;


  GetWidget({
    Key key,
    @required this.builder,
    @required this.model,
    this.onModelReady,
    this.autoDispose: true}): super(key: key);


  @override
  _GetWidgetState createState() => _GetWidgetState<T>();
}

class _GetWidgetState<T extends BaseViewStateGetxController> extends State<GetWidget> {

  T model;

  dynamic c;

  @override
  void initState() {
    model = widget.model;
    Get.put(model);
    super.initState();
  }


  @override
  void dispose() {
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return GetX(
      init: BaseViewStateGetxController(),
      builder: (controller){
        return Text('sfsdf');
      },
    );
  }
}